<mr-sidebar>

    <h2>Archivo</h2>
    <hr>

    <ng-container *ngIf="(expanded$ | async) === null">

        <ng-container *ngIf="files$ | async as files">
            <ul class="expander-file-list">
                <li *ngFor="let file of files">

                    <mr-file-expander
                    [isAuthor]="isAuthor"
                    [currentUser]="currentUser"
                    [thread]="thread"
                    (expand)="expanded$.next($event)"
                    *ngIf="file.body else loading" [file]="file"></mr-file-expander>

                    <ng-template #loading><mr-ghost-box [height]="80"></mr-ghost-box></ng-template>

                </li>
            </ul>
            <button mr-button *ngIf="(end$ | async) !== true" class="primary light block"(click)="load()">cargar mas</button>
        </ng-container>

    </ng-container>

    <ng-container *ngIf="expanded$ | async as file">

        <div class="message">
            <i class="las la-question-circle"></i> Estas en la vista única.
            <button mr-button (click)="expanded$.next(null)" class="primary hover small">Ir a la lista</button>
        </div>

        <mr-expanded-file [file]="file"></mr-expanded-file>

    </ng-container>


</mr-sidebar>
